Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8066/?format=api
{ "ob_id": 8066, "uuid": "4da63d4bf3bd88eb939d6eea2cc1009d", "title": "ATSR-1: Gridded Surface Temperature (GST) Product (AT1_NR__2P), v2.1", "abstract": "Along-Track Scanning Radiometer (ATSR) mission was funded jointly by the UK Department of Energy and Climate Change External Link (DECC) and the Australian Department of Innovation, Industry, Science and Research External Link (DIISR).\r\n\r\nThis dataset contains the Along-Track Scanning Radiometer on ESA ERS-1 satellite (ATSR-1) Gridded Surface Temperature (GST) Product. These data are the Level 2 full spatial resolution (approximately 1 km by 1 km) geophysical product derived from Level 1B product and auxiliary data. \r\n\r\nThe contents of the pixel fields, which are a mixture of Top of Atmosphere (TOA) and surface brightness temperature/radiance, are switch-able depending on the surface type. The third reprocessing was done to implement updated algorithms, processors, and auxiliary files.", "keywords": "ATSR, Gridded Surface Temperature, GST", "publicationState": "published", "dataPublishedTime": "2014-07-04T08:46:36", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8067/?format=api", "dataPath": "/neodc/aatsr_multimission/atsr1-v2.1/data/at1_nr__2p", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2832660409561, "numberOfFiles": 68276, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2308/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The data were acquired by the European Space Agency's (ESA) Envisat satellite, and the NERC Earth Observation Data Centre (NEODC) mirrors the data for UK users.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5242/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/19905/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19728/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/19729/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32874/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32876/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32877/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32878/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32880/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42031/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/32875/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/8069/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }